
Infrastructure - Bug #4019

Subject reported by CILogon does not appear to be consistent over time

2013-10-02 13:31 - Dave Vieglais

Status: Closed Start date: 2014-10-01

Priority: Normal Due date: 2014-10-01

Assignee: Dave Vieglais % Done: 100%

Category: Authentication, Authorization Estimated time: 0.00 hour

Target version: Maintenance Backlog   

Milestone: None Story Points:  

Product Version: *   

Description

I logged on to the production portal a couple months ago using the University of Kansas IdP and obtained a subject of:

CN=David Vieglais A7151,O=University of Kansas,C=US,DC=cilogon,DC=org  

Logging on today, my subject is now:

CN=David Vieglais A2105,O=University of Kansas,C=US,DC=cilogon,DC=org

This lack of consistency is a serious problem for managing identity equivalence within DataONE. It is not clear if this is an issue with

the IdP (KU) or with CILogon.  

Will discuss issue with Jim Basney.

History

#1 - 2013-10-02 14:42 - Dave Vieglais

- Status changed from New to In Progress

#2 - 2013-10-02 14:45 - Dave Vieglais

Jim and Terry indicate that they should be able to support a notification page that appears during the authentication step if the subject information

reported by the IdP changes.

#3 - 2014-10-01 21:29 - Dave Vieglais

- Start date set to 2014-10-01

- Target version set to Maintenance Backlog

- Due date set to 2014-10-01

#4 - 2017-03-28 16:21 - Dave Vieglais

- Status changed from In Progress to Closed

- % Done changed from 0 to 100
